## skindetect skindetect |

## Properties

GstSkindetectMethod | method | Read / Write
gboolean | postprocess | Read / Write

## Types and Values

struct | GstSkinDetect

## Description

Human skin detection on videos and images

### Example launch line

    1
    gst-launch-1.0 videotestsrc ! decodebin ! videoconvert ! skindetect ! videoconvert ! xvimagesink

## Synopsis

### Element Information

plugin | opencv
author | Miguel Casas-Sanchez <miguelecasassanchez@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstSkinDetect

    struct GstSkinDetect {
      GstOpencvVideoFilter element;

      gboolean postprocess;
      gint method;
      gint width, height;

      IplImage *cvChA, *cvRGB, *cvSkin;
      IplImage *cvHSV, *cvH, *cvH2, *cvS, *cvV, *cvSkinPixels1;
      IplImage *cvR, *cvG, *cvB, *cvAll, *cvR2, *cvRp, *cvGp, *cvRp2, *cvGp2,
          *cvdraft, *cvSkinPixels2;
    };

## Property Details

### The `“method”` property

      “method”                   GstSkindetectMethod

Method to use.

Flags: Read / Write

Default value: Classic HSV thresholding

### The `“postprocess”` property

      “postprocess”              gboolean

Apply opening-closing to skin detection to extract large, significant blobs .

Flags: Read / Write

Default value: TRUE